## ros-melodic-grid-map-demos 1.6.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(grid_map_demos)

set(CMAKE_CXX_FLAGS "-std=c++11 ${CMAKE_CXX_FLAGS}")

## Find catkin macros and libraries
find_package(catkin REQUIRED COMPONENTS
  roscpp
  grid_map_core
  grid_map_ros
  grid_map_cv
  grid_map_filters
  grid_map_loader
  grid_map_msgs
  grid_map_octomap
  grid_map_rviz_plugin
  grid_map_visualization
  geometry_msgs
  sensor_msgs
  cv_bridge
  octomap_msgs
  filters
)

find_package(OpenCV REQUIRED
  COMPONENTS
  opencv_highgui
  CONFIG
)

find_package(octomap REQUIRED)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if your package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  INCLUDE_DIRS include
#  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS
#  DEPENDS system_lib
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${EIGEN3_INCLUDE_DIR}
  ${OCTOMAP_INCLUDE_DIR}
)

## Declare a cpp executable
add_executable(
  simple_demo
  src/simple_demo_node.cpp
)

add_executable(
  tutorial_demo
  src/tutorial_demo_node.cpp
)

add_executable(
  iterators_demo
  src/iterators_demo_node.cpp
  src/IteratorsDemo.cpp
)

add_executable(
  image_to_gridmap_demo
  src/image_to_gridmap_demo_node.cpp
  src/ImageToGridmapDemo.cpp
)

add_executable(
  octomap_to_gridmap_demo
  src/octomap_to_gridmap_demo_node.cpp
  src/OctomapToGridmapDemo.cpp
)

add_executable(
  move_demo
  src/move_demo_node.cpp
)

add_executable(
  iterator_benchmark
  src/iterator_benchmark.cpp
)

add_executable(
  opencv_demo
  src/opencv_demo_node.cpp
)

add_executable(
  resolution_change_demo
  src/resolution_change_demo_node.cpp
)

add_executable(
  filters_demo
  src/filters_demo_node.cpp
  src/FiltersDemo.cpp
)

## Specify libraries to link a library or executable target against
target_link_libraries(
  simple_demo
  ${catkin_LIBRARIES}
)

target_link_libraries(
  tutorial_demo
  ${catkin_LIBRARIES}
)

target_link_libraries(
  iterators_demo
  ${catkin_LIBRARIES}
)

target_link_libraries(
  image_to_gridmap_demo
  ${catkin_LIBRARIES}
)

target_link_libraries(
  octomap_to_gridmap_demo
  ${catkin_LIBRARIES}
  ${OCTOMAP_LIBRARIES}
)

target_link_libraries(
  move_demo
  ${catkin_LIBRARIES}
)

target_link_libraries(
  iterator_benchmark
  ${catkin_LIBRARIES}
)

target_link_libraries(
  opencv_demo
  ${catkin_LIBRARIES}
  ${OpenCV_LIBRARIES}
)

target_link_libraries(
  resolution_change_demo
  ${catkin_LIBRARIES}
)

target_link_libraries(
  filters_demo
  ${catkin_LIBRARIES}
)

#############
## Install ##
#############

catkin_install_python(
  PROGRAMS scripts/image_publisher.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Mark executables and/or libraries for installation
install(
  TARGETS simple_demo tutorial_demo iterators_demo image_to_gridmap_demo octomap_to_gridmap_demo move_demo iterator_benchmark opencv_demo resolution_change_demo filters_demo
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Mark other files for installation
install(
  DIRECTORY config data doc launch rviz scripts
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-grid-map-demos (1.6.2-1stretch) stretch; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sun, 13 Oct 2019 22:00:00 -0000

ros-melodic-grid-map-demos (1.6.1-1stretch) stretch; urgency=high

  * Updated host changes.
  * Updated author e-mail address.
  * Contributors: Peter Fankhauser, Péter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Tue, 26 Feb 2019 23:00:00 -0000

ros-melodic-grid-map-demos (1.6.0-1stretch) stretch; urgency=high

  * Fixed compatibility issue with OpenCV 3 (#140 <https://github.com/anybotics/grid_map/issues/140>).
  * Fixing cpp-check warnings and errors.
  * Fixed dependencies for grid_map_demos.
  * Updated terrain for filters demo.
  * Updated filter demo chain.
  * Contributors: Perry Franklin, Péter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Thu, 23 Nov 2017 23:00:00 -0000

ros-melodic-grid-map-demos (1.5.2-1stretch) stretch; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 24 Jul 2017 22:00:00 -0000

ros-melodic-grid-map-demos (1.5.1-1stretch) stretch; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 24 Jul 2017 22:00:00 -0000

ros-melodic-grid-map-demos (1.5.0-1stretch) stretch; urgency=high

  * Added demo for octomap to grid map conversion.
  * Updated installation for demos.
  * General performance improvements, cleanups, and reformatting.
  * Contributors: Jeff Delmerico, Peter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 17 Jul 2017 22:00:00 -0000

ros-melodic-grid-map-demos (1.4.2-1stretch) stretch; urgency=high

  * Addressing C++ compiler warnings.
  * Contributors: Peter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 23 Jan 2017 23:00:00 -0000

ros-melodic-grid-map-demos (1.4.1-1stretch) stretch; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sat, 22 Oct 2016 22:00:00 -0000

ros-melodic-grid-map-demos (1.4.0-1stretch) stretch; urgency=high

  * Added Grid Map RViz plugin to RViz configuration.
  * Contributors: Peter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sun, 21 Aug 2016 22:00:00 -0000

ros-melodic-grid-map-demos (1.3.3-1stretch) stretch; urgency=high

  * Release for ROS Kinetic.
  * Contributors: Peter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 09 May 2016 22:00:00 -0000

ros-melodic-grid-map-demos (1.3.2-1stretch) stretch; urgency=high

  * Updated dependency to OpenCV for compatibility with ROS Kinetic and OpenCV 2/3.
  * Contributors: Peter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 09 May 2016 22:00:00 -0000

ros-melodic-grid-map-demos (1.3.1-1stretch) stretch; urgency=high

  * Updated grid map loader demo.
  * Contributors: Peter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 09 May 2016 22:00:00 -0000

ros-melodic-grid-map-demos (1.3.0-1stretch) stretch; urgency=high

  * Added new demonstrators for OpenCV based operations.
  * Resolving build errors for OpenCV.
  * Added comment on iterator performance (#45 <https://github.com/anybotics/grid_map/issues/45>).
  * Contributors: Peter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 25 Apr 2016 22:00:00 -0000

ros-melodic-grid-map-demos (1.2.0-1stretch) stretch; urgency=high

  * New iterator_benchmark demo to exemplify the usage of the iterators and their computational performance.
  * Added new move_demo to illustrate the difference between the move and setPosition method.
  * Contributors: Péter Fankhauser, Christos Zalidis, Daniel Stonier

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Wed, 02 Mar 2016 23:00:00 -0000

ros-melodic-grid-map-demos (1.1.3-1stretch) stretch; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sun, 10 Jan 2016 23:00:00 -0000

ros-melodic-grid-map-demos (1.1.2-1stretch) stretch; urgency=high

  * Should fix errors on build server regarding Eigen3 and visualization_msgs dependencies.

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sun, 10 Jan 2016 23:00:00 -0000

ros-melodic-grid-map-demos (1.1.1-1stretch) stretch; urgency=high

  * Changes to CMakeLists.txt to enable compatibility with Ubuntu Saucy.

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sun, 10 Jan 2016 23:00:00 -0000

ros-melodic-grid-map-demos (1.1.0-1stretch) stretch; urgency=high

  * added installation instructions in CMakeLists
  * updated demo for new ellipse iterator tool
  * general improvements and bugfixes

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Thu, 07 Jan 2016 23:00:00 -0000

ros-melodic-grid-map-demos (1.0.0-1stretch) stretch; urgency=high

  * release for Springer ROS Book Chapter

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Thu, 19 Nov 2015 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-grid-map-demos
Section: misc
Priority: optional
Maintainer: Péter Fankhauser <pfankhauser@anybotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-cv-bridge, ros-melodic-geometry-msgs, ros-melodic-grid-map-core, ros-melodic-grid-map-cv, ros-melodic-grid-map-filters, ros-melodic-grid-map-loader, ros-melodic-grid-map-msgs, ros-melodic-grid-map-octomap, ros-melodic-grid-map-ros, ros-melodic-grid-map-rviz-plugin, ros-melodic-grid-map-visualization, ros-melodic-octomap-msgs, ros-melodic-roscpp, ros-melodic-sensor-msgs
Homepage: http://github.com/anybotics/grid_map
Standards-Version: 3.9.2

Package: ros-melodic-grid-map-demos
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-cv-bridge, ros-melodic-geometry-msgs, ros-melodic-grid-map-core, ros-melodic-grid-map-cv, ros-melodic-grid-map-filters, ros-melodic-grid-map-loader, ros-melodic-grid-map-msgs, ros-melodic-grid-map-octomap, ros-melodic-grid-map-ros, ros-melodic-grid-map-rviz-plugin, ros-melodic-grid-map-visualization, ros-melodic-octomap-msgs, ros-melodic-roscpp, ros-melodic-sensor-msgs
Description: Demo nodes to demonstrate the usage of the grid map library.

## ros-melodic-grid-map-demos 1.6.4

=== debian/changelog ===
ros-melodic-grid-map-demos (1.6.4-2bionic) bionic; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Thu, 03 Dec 2020 23:00:00 -0000

ros-melodic-grid-map-demos (1.6.3-2bionic) bionic; urgency=high

  * Added GridMapToImageDemo. Saves the elevation layer of a grid_map to a file.

 -- Maximilian Wulf <mwulf@anybotics.com>  Sun, 18 Oct 2020 22:00:00 -0000

ros-melodic-grid-map-demos (1.6.2-2bionic) bionic; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sun, 13 Oct 2019 22:00:00 -0000

ros-melodic-grid-map-demos (1.6.1-2bionic) bionic; urgency=high

  * Updated host changes.
  * Updated author e-mail address.
  * Contributors: Peter Fankhauser, Péter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Tue, 26 Feb 2019 23:00:00 -0000

ros-melodic-grid-map-demos (1.6.0-2bionic) bionic; urgency=high

  * Fixed compatibility issue with OpenCV 3 (#140 <https://github.com/anybotics/grid_map/issues/140>).
  * Fixing cpp-check warnings and errors.
  * Fixed dependencies for grid_map_demos.
  * Updated terrain for filters demo.
  * Updated filter demo chain.
  * Contributors: Perry Franklin, Péter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Thu, 23 Nov 2017 23:00:00 -0000

ros-melodic-grid-map-demos (1.5.2-2bionic) bionic; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 24 Jul 2017 22:00:00 -0000

ros-melodic-grid-map-demos (1.5.1-2bionic) bionic; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 24 Jul 2017 22:00:00 -0000

ros-melodic-grid-map-demos (1.5.0-2bionic) bionic; urgency=high

  * Added demo for octomap to grid map conversion.
  * Updated installation for demos.
  * General performance improvements, cleanups, and reformatting.
  * Contributors: Jeff Delmerico, Peter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 17 Jul 2017 22:00:00 -0000

ros-melodic-grid-map-demos (1.4.2-2bionic) bionic; urgency=high

  * Addressing C++ compiler warnings.
  * Contributors: Peter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 23 Jan 2017 23:00:00 -0000

ros-melodic-grid-map-demos (1.4.1-2bionic) bionic; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sat, 22 Oct 2016 22:00:00 -0000

ros-melodic-grid-map-demos (1.4.0-2bionic) bionic; urgency=high

  * Added Grid Map RViz plugin to RViz configuration.
  * Contributors: Peter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sun, 21 Aug 2016 22:00:00 -0000

ros-melodic-grid-map-demos (1.3.3-2bionic) bionic; urgency=high

  * Release for ROS Kinetic.
  * Contributors: Peter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 09 May 2016 22:00:00 -0000

ros-melodic-grid-map-demos (1.3.2-2bionic) bionic; urgency=high

  * Updated dependency to OpenCV for compatibility with ROS Kinetic and OpenCV 2/3.
  * Contributors: Peter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 09 May 2016 22:00:00 -0000

ros-melodic-grid-map-demos (1.3.1-2bionic) bionic; urgency=high

  * Updated grid map loader demo.
  * Contributors: Peter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 09 May 2016 22:00:00 -0000

ros-melodic-grid-map-demos (1.3.0-2bionic) bionic; urgency=high

  * Added new demonstrators for OpenCV based operations.
  * Resolving build errors for OpenCV.
  * Added comment on iterator performance (#45 <https://github.com/anybotics/grid_map/issues/45>).
  * Contributors: Peter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 25 Apr 2016 22:00:00 -0000

ros-melodic-grid-map-demos (1.2.0-2bionic) bionic; urgency=high

  * New iterator_benchmark demo to exemplify the usage of the iterators and their computational performance.
  * Added new move_demo to illustrate the difference between the move and setPosition method.
  * Contributors: Péter Fankhauser, Christos Zalidis, Daniel Stonier

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Wed, 02 Mar 2016 23:00:00 -0000

ros-melodic-grid-map-demos (1.1.3-2bionic) bionic; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sun, 10 Jan 2016 23:00:00 -0000

ros-melodic-grid-map-demos (1.1.2-2bionic) bionic; urgency=high

  * Should fix errors on build server regarding Eigen3 and visualization_msgs dependencies.

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sun, 10 Jan 2016 23:00:00 -0000

ros-melodic-grid-map-demos (1.1.1-2bionic) bionic; urgency=high

  * Changes to CMakeLists.txt to enable compatibility with Ubuntu Saucy.

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sun, 10 Jan 2016 23:00:00 -0000

ros-melodic-grid-map-demos (1.1.0-2bionic) bionic; urgency=high

  * added installation instructions in CMakeLists
  * updated demo for new ellipse iterator tool
  * general improvements and bugfixes

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Thu, 07 Jan 2016 23:00:00 -0000

ros-melodic-grid-map-demos (1.0.0-2bionic) bionic; urgency=high

  * release for Springer ROS Book Chapter

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Thu, 19 Nov 2015 23:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: ros-melodic-grid-map-demos
 Section: misc
 Priority: optional
-Maintainer: Péter Fankhauser <pfankhauser@anybotics.com>
-Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-cv-bridge, ros-melodic-geometry-msgs, ros-melodic-grid-map-core, ros-melodic-grid-map-cv, ros-melodic-grid-map-filters, ros-melodic-grid-map-loader, ros-melodic-grid-map-msgs, ros-melodic-grid-map-octomap, ros-melodic-grid-map-ros, ros-melodic-grid-map-rviz-plugin, ros-melodic-grid-map-visualization, ros-melodic-octomap-msgs, ros-melodic-roscpp, ros-melodic-sensor-msgs
+Maintainer: Maximilian Wulf <mwulf@anybotics.com>
+Build-Depends: debhelper (>= 9.0.0), libgtest-dev, ros-melodic-catkin, ros-melodic-cv-bridge, ros-melodic-geometry-msgs, ros-melodic-grid-map-core, ros-melodic-grid-map-cv, ros-melodic-grid-map-filters, ros-melodic-grid-map-loader, ros-melodic-grid-map-msgs, ros-melodic-grid-map-octomap, ros-melodic-grid-map-ros, ros-melodic-grid-map-rviz-plugin, ros-melodic-grid-map-visualization, ros-melodic-octomap-msgs, ros-melodic-roscpp, ros-melodic-sensor-msgs
 Homepage: http://github.com/anybotics/grid_map
 Standards-Version: 3.9.2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-grid-map-demos//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
